This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 389011 - Xorg fails on VIA UniChrome Pro IGP when openchrome set as driver
Xorg fails on VIA UniChrome Pro IGP when openchrome set as driver
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-openchrome (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Xavier Bachelot
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-17 20:00 EST by Dave Russell
Modified: 2008-08-02 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-07 20:22:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
xorg.conf used with via set as driver (758 bytes, text/plain)
2007-11-17 20:00 EST, Dave Russell
no flags Details
xorg log file when display set to via (11.84 KB, text/plain)
2007-11-17 20:02 EST, Dave Russell
no flags Details
xorg.log file from openchrome driver (47.65 KB, text/plain)
2007-12-02 05:21 EST, Dave Russell
no flags Details
xorg.conf file with openchrome driver (944 bytes, text/plain)
2007-12-02 05:22 EST, Dave Russell
no flags Details

  None (edit)
Description Dave Russell 2007-11-17 20:00:15 EST
Description of problem:
VIA UniChrome Pro IGP on board graphics is not detected correctly and xorg fails
if the via driver is selected.

The vesa driver works.

Version-Release number of selected component (if applicable):
xorg-x11-drv-via-0.2.2-4.fc8

How reproducible:
Every time.

Steps to Reproduce:
1. Install F8
2. Check to see what xorg.conf driver is set to (it will be vesa)
3. Shutdown X, Change driver to via, start X
  
Actual results:
X will fail to start

Expected results:
X should start

Additional info:

lspci -vvv info

01:00.0 VGA compatible controller: VIA Technologies, Inc. UniChrome Pro IGP (rev
01) (prog-if 00 [VGA])
        Subsystem: VIA Technologies, Inc. UniChrome Pro IGP
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Latency: 32 (500ns min)
        Interrupt: pin A routed to IRQ 20
        Region 0: Memory at f4000000 (32-bit, prefetchable) [size=64M]
        Region 1: Memory at fb000000 (32-bit, non-prefetchable) [size=16M]
        [virtual] Expansion ROM at fc000000 [disabled] [size=64K]
        Capabilities: [60] Power Management version 2
                Flags: PMEClk- DSI+ D1+ D2+ AuxCurrent=0mA
PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-
        Capabilities: [70] AGP version 3.0
                Status: RQ=256 Iso- ArqSz=0 Cal=7 SBA+ ITACoh- GART64- HTrans-
64bit- FW- AGP3+ Rate=x4,x8
                Command: RQ=1 ArqSz=0 Cal=0 SBA+ AGP- GART64- 64bit- FW- Rate=<none>
Comment 1 Dave Russell 2007-11-17 20:00:15 EST
Created attachment 262621 [details]
xorg.conf used with via set as driver
Comment 2 Dave Russell 2007-11-17 20:02:19 EST
Created attachment 262631 [details]
xorg log file when display set to via
Comment 3 Dave Russell 2007-11-17 20:11:10 EST
Here is the Smolt profile, incase it's of any help:
http://smolt.fedoraproject.org/show?UUID=5efb271a-504d-4e82-91ee-3eb5337f9a75
Comment 4 Adam Jackson 2007-11-28 11:10:42 EST
Mass migration: via -> openchrome.
Comment 5 Xavier Bachelot 2007-11-28 16:44:56 EST
Please retry with xorg-x11-drv-openchrome. This is the successor to
xorg-x11-drv-via.
Comment 6 Dave Russell 2007-12-02 05:21:29 EST
Created attachment 275001 [details]
xorg.log file from openchrome driver

This does indeed manage to bring up an X display on the machine.

I'm unsure as to what performance I should expect with this driver, but it
seems to be a little sluggish.

Also when X starts, there are what seems to be a number of false starts before
the display settles... i.e. X display starts to appear, then back to console,
then back to the X "watch" in the center of the screen before finally the GDM
login screen redraws.
Comment 7 Dave Russell 2007-12-02 05:22:25 EST
Created attachment 275011 [details]
xorg.conf file with openchrome driver
Comment 8 Matěj Cepl 2007-12-04 17:14:18 EST
Could we get /var/log/Xorg.0.log as well, please?
Comment 9 Matěj Cepl 2008-01-21 10:38:55 EST
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 10 Martin Thain 2008-02-09 04:48:43 EST
I had a similar problem with my laptop six months ago. I did a bit of googling
around and found (might have been on a Ubuntu forum) that a manual edit to
xorg.conf was needed. Here is the relevant section: 

Section "Device"
        Identifier  "Videocard0"
        Driver      "via"
        BusID       "PCI:1:0:0"
        Option      "EnableAGPDMA" "true"
        VendorName  "Videocard vendor"
        BoardName   "VIA Technologies, Inc. S3 Unichrome Pro VGA Adapter"
EndSection

This improved graphics performance (as measured by glxgears) from 150
frames/second to about 600 frames/second.
Kernel is 2.6.23.14-115.fc8 
Comment 11 Xavier Bachelot 2008-02-14 16:01:18 EST
(In reply to comment #10)
> I had a similar problem with my laptop six months ago. I did a bit of googling
> around and found (might have been on a Ubuntu forum) that a manual edit to
> xorg.conf was needed. Here is the relevant section: 
> 
> Section "Device"
>         Identifier  "Videocard0"
>         Driver      "via"
>         BusID       "PCI:1:0:0"
>         Option      "EnableAGPDMA" "true"
>         VendorName  "Videocard vendor"
>         BoardName   "VIA Technologies, Inc. S3 Unichrome Pro VGA Adapter"
> EndSection
> 
> This improved graphics performance (as measured by glxgears) from 150
> frames/second to about 600 frames/second.
> Kernel is 2.6.23.14-115.fc8 

via driver is off topic for this bug. Please switch to openchrome driver, it
replaces the unmaintained via driver.
Comment 12 Matěj Cepl 2008-04-10 05:53:45 EDT
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 13 Bug Zapper 2008-05-13 23:55:53 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Brennan Ashton 2008-06-07 20:22:39 EDT
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional
information.

Closing as INSUFFICIENT_DATA.
Comment 15 Oli Wade 2008-06-09 12:38:52 EDT
I also had this problem when using the same (1106:3344) graphics device.

The openchrome driver update to F8
(https://admin.fedoraproject.org/updates/F8/FEDORA-2007-2870) worked great for
me with this device.

Additionally I found a similar problem noted with Ubuntu:
  https://bugs.launchpad.net/ubuntu/+source/discover-data/+bug/90587

Note You need to log in before you can comment on or make changes to this bug.